=== debian/control ===
Source: ros-rolling-rcl-logging-spdlog
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libspdlog-dev, ros-rolling-ament-cmake-ros, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-performance-test-fixture, ros-rolling-rcl-logging-interface, ros-rolling-rcpputils, ros-rolling-rcutils, ros-rolling-spdlog-vendor, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rcl-logging-spdlog
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libspdlog-dev, ros-rolling-rcl-logging-interface, ros-rolling-rcpputils, ros-rolling-rcutils, ros-rolling-spdlog-vendor, ros-rolling-ros-workspace
Description: Implementation of rcl_logging API for an spdlog backend.
