## ros-rolling-rcl-logging-spdlog 2.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,9 +6,10 @@
 if(NOT CMAKE_C_STANDARD)
   set(CMAKE_C_STANDARD 11)
 endif()
-# Default to C++14
+# Default to C++17
 if(NOT CMAKE_CXX_STANDARD)
-  set(CMAKE_CXX_STANDARD 14)
+  set(CMAKE_CXX_STANDARD 17)
+  set(CMAKE_CXX_STANDARD_REQUIRED ON)
 endif()
 
 find_package(ament_cmake_ros REQUIRED)
@@ -45,19 +46,21 @@
 
 if(BUILD_TESTING)
   find_package(ament_lint_auto REQUIRED)
+  # cppcheck 1.90 doesn't understand some of the syntax in spdlog's bundled fmt
+  # code.  Since we already have cppcheck disabled on Linux, just disable it
+  # completely for this package.
+  list(APPEND AMENT_LINT_AUTO_EXCLUDE
+    ament_cmake_cppcheck
+  )
   ament_lint_auto_find_test_dependencies()
 
   find_package(performance_test_fixture REQUIRED)
-  # Give cppcheck hints about macro definitions coming from outside this package
-  get_target_property(ament_cmake_cppcheck_ADDITIONAL_INCLUDE_DIRS
-    performance_test_fixture::performance_test_fixture INTERFACE_INCLUDE_DIRECTORIES)
 
   find_package(ament_cmake_gtest REQUIRED)
-  ament_add_gtest(test_logging_interface test/test_logging_interface.cpp)
+  ament_add_gmock(test_logging_interface test/test_logging_interface.cpp)
   if(TARGET test_logging_interface)
-    target_link_libraries(test_logging_interface ${PROJECT_NAME})
+    target_link_libraries(test_logging_interface ${PROJECT_NAME} rcpputils::rcpputils)
     target_compile_definitions(test_logging_interface PUBLIC RCUTILS_ENABLE_FAULT_INJECTION)
-    ament_target_dependencies(test_logging_interface rcpputils)
   endif()
   add_performance_test(benchmark_logging_interface test/benchmark/benchmark_logging_interface.cpp)
   if(TARGET benchmark_logging_interface)
@@ -65,8 +68,6 @@
   endif()
 endif()
 
-# Export rcl_logging_interface to give downstream packages access to it's headers
-ament_export_dependencies(rcl_logging_interface)
 ament_export_libraries(${PROJECT_NAME})
 ament_export_targets(${PROJECT_NAME})
 ament_package()
